Docs
Get an API key
API reference›Vector Store

Update Collection

PATCH /v1/vector_store/{id} View .md

Updates a vector store collection record.

  • id string required

    The ID of the vector store collection.

Update Vector Store Request Payload

  • name string required

    The name of the vector store collection. Note: the previously generated unique ID will remain the same.

OK

application/json · get-vector-store-response-payload

1 field
  • collection object

    An object representing a vector store collection containing embeddings records.

    3 fields
    • id string

      The unique ID of the vector store collection.

    • name string

      The name of the vector store collection.

    • created string

      The UTC creation timestamp of the vector store collection in ISO 8601 format.

curl -X PATCH https://api.vultrinference.com/v1/vector_store/{id} \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "string"
  }'
Response · 202
{
    "collection": {
        "id": "string",
        "name": "string",
        "created": "string"
    }
}